Name:      openshift-enterprise-upgrade
# The number of the upgrade that is *performed* by moving to this version.
# See VERSION_MAP in lib/ose-upgrade/main.rb for the mapping of upgrade
# numbers to OpenShift Enterprise releases.
# Set this to one lower for the pre-upgrade package
%global upgrade_number 4

# items that will likely be shared between RPMs
Version:   2.2.9
Release:   1%{?dist}
License:   ASL 2.0
URL:       http://openshift.redhat.com
BuildArch: noarch
Provides:  %{name}
Source0:   %{name}-%{version}.tar.gz

%global brokerdir %{_var}/www/openshift/broker
%global etc_upgrade /etc/openshift/upgrade

%global upgrade_path /usr/lib/ruby/site_ruby/1.8

# OpenShift Enterprise uses the ruby193 software collection since
# the 1.2 release, so we will only use Ruby packages in that collection.
%global mco_root /opt/rh/ruby193/root/usr/libexec/mcollective/mcollective

# yum-validator locations
%global yumv_lib /usr/lib64/python2.6/site-packages/yumvalidator
%global yumv_etc /etc/yum-validator


# items that have to be specified for each RPM
Summary:   Version and upgrade capabilities for OpenShift Enterprise installations
Group:     Network/Daemons
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
This RPM contains mechanisms for upgrading an OpenShift Enterprise installation.
This RPM need not be built, however.

#############################
%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{mco_root}/agent/
cp mcollective/agent/oseupgrade.* %{buildroot}%{mco_root}/agent/

mkdir -p %{buildroot}%{_libexecdir}/openshift
cp bin/ose-upgrade-migrate-datastore %{buildroot}%{_libexecdir}/openshift/

# Ruby libs and bin
mkdir -p %{buildroot}%{upgrade_path}
cp -r lib/* %{buildroot}%{upgrade_path}
rm %{buildroot}%{upgrade_path}/ose-upgrade/README.md
mkdir -p %{buildroot}%{_bindir}
cp bin/ose-upgrade %{buildroot}%{_bindir}

# create upgrade state file with this version
mkdir -p %{buildroot}%{etc_upgrade}
touch %{buildroot}%{etc_upgrade}/state.yaml
# and log file
mkdir -p %{buildroot}/var/log/openshift/upgrade.log
touch %{buildroot}/var/log/openshift/upgrade.log

# create yum-validator locations
cp yum-validator/oo-admin-yum-validator %{buildroot}%_bindir
mkdir -p %{buildroot}%yumv_lib
cp -r yum-validator/yumvalidator/* %{buildroot}%yumv_lib
mkdir -p %{buildroot}%yumv_etc
cp -r yum-validator/etc/* %{buildroot}%yumv_etc

mkdir -p %{buildroot}%{_mandir}/man8/
cp -p yum-validator/man/*.8 %{buildroot}%{_mandir}/man8/
cp -p man/*.8 %{buildroot}%{_mandir}/man8/

mkdir -p %{buildroot}/etc
echo "OpenShift Enterprise %{version}" > %{buildroot}/etc/openshift-enterprise-release

%clean
rm -rf $RPM_BUILD_ROOT


############################# release ###############################
%package -n openshift-enterprise-release

# items that have to be specified for each RPM
Summary:   Version and upgrade capabilities for OpenShift Enterprise installations
Group:     Network/Daemons
Requires:  openshift-enterprise-yum-validator >= %{version}
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:  ruby
Requires:  redhat-support-tool

%description -n openshift-enterprise-release
This RPM contains mechanisms for upgrading an OpenShift Enterprise installation.

#############################
%files -n openshift-enterprise-release
%defattr(644,root,root,700)
%dir %{etc_upgrade}
%ghost %{etc_upgrade}/state.yaml
%ghost /var/log/openshift/upgrade.log
# for some reason the build requires the explicit %attr below
%attr(644,-,-) /etc/openshift-enterprise-release

# mcollective ddl file is required for both client and agent
%{mco_root}/agent/oseupgrade.ddl
%{upgrade_path}/ose-upgrade.rb
%{upgrade_path}/ose-upgrade/finder.rb
%{upgrade_path}/ose-upgrade/main.rb

%{_mandir}/man8/ose-upgrade.8.gz
%defattr(0500,root,root,700)
%{_bindir}/ose-upgrade
%{upgrade_path}/ose-upgrade/host/


#############################
%post -n openshift-enterprise-release

# create upgrade state file if needed.
if [ ! -f %{etc_upgrade}/state.yaml ]; then
  ose-upgrade --complete %{upgrade_number} >& /dev/null
fi

############################# yum-validator ###############################
%package -n openshift-enterprise-yum-validator
Summary:   Validates and configures yum for OpenShift Enterprise installations and updates
Group:     Network/Daemons
Requires:  yum-utils
Requires:  yum-plugin-priorities

%description -n openshift-enterprise-yum-validator
This RPM supplies the yum-validator for validating and configuring the yum repositories
that OpenShift Enterprise uses for installation and updates. It supports either
subscription-manager or RHN classic as the RPM delivery mechanism.

#############################
%files -n openshift-enterprise-yum-validator
%defattr(644,root,root,700)
%yumv_lib
%yumv_etc
%config(noreplace) %yumv_etc/repos.ini
%defattr(0500,root,root,700)
%_bindir/oo-admin-yum-validator
%{_mandir}/man8/oo-admin-yum-validator.8.gz

############################# broker ###############################
%package broker
Summary:   Upgrade capabilities for OpenShift Enterprise brokers and installations
Group:     Network/Daemons
Requires:  openshift-origin-broker-util
Requires:  openshift-origin-broker
Requires:  openshift-enterprise-release >= %{version}
Requires:  openshift-enterprise-yum-validator

%description broker

This contains mechanisms for upgrading an OpenShift Enterprise broker host,
and through it, an entire installation.

#############################
%files broker
%defattr(0500,root,root,700)
%{upgrade_path}/ose-upgrade/broker
%{upgrade_path}/ose-upgrade/broker.rb
%{_libexecdir}/openshift/ose-upgrade-migrate-datastore

############################## node ################################
%package node
Summary:   Upgrade capabilities for OpenShift Enterprise node hosts
Group:     Network/Daemons
Requires:  openshift-origin-node-util
Requires:  rubygem-openshift-origin-node
Requires:  openshift-enterprise-release >= %{version}
Requires:  openshift-enterprise-yum-validator
%description node

This contains mechanisms for upgrading an OpenShift Enterprise node host.

#############################
%files node
%attr(644,root,root) %{mco_root}/agent/oseupgrade.rb
%defattr(700,root,root,700)
%{upgrade_path}/ose-upgrade/node
%{upgrade_path}/ose-upgrade/node.rb

%changelog
* Wed Feb 17 2016 tiwillia@redhat.com <tiwillia@redhat.com> 2.2.9-1
- Version bump for 2.2.9

* Tue Nov 10 2015 tiwillia@redhat.com <tiwillia@redhat.com> 2.2.8-1
- Version bump for 2.2.8

* Wed Jun 03 2015 tiwillia@redhat.com <tiwillia@redhat.com> 2.2.6-1
- Prevent named logger propagation (jolamb@redhat.com)
- Degrade to basic RHSM detection for broken repolib (jolamb@redhat.com)
- Stop `YumUtilBase` from breaking o-a-y-v's logger (jolamb@redhat.com)
- Generalize o-a-y-v for all EAP channels (jolamb@redhat.com)
- Fix return value mismatch (jolamb@redhat.com)
- More sensible node-eap special case logic (jolamb@redhat.com)
- Fixed node-eap(-6.3) autodetection (jolamb@redhat.com)
- Update repos.ini for node-eap-6.3 (jolamb@redhat.com)
- Fix whitespace bug (jolamb@redhat.com)
- Properly detect role for node-eap/node-eap-6.3 (jolamb@redhat.com)
- Add `node-eap-6.3` role to support eap-6.3 channel (jolamb@redhat.com)
* Fri Jan 23 2015 Brenton Leanhardt <bleanhar@redhat.com> 2.2.4-1
- Bumping release for 2.2.4

* Fri Jan 02 2015 Scott Dodson <sdodson@redhat.com> 2.2.3-1
- yum-validator: Fixes for RHN and older RHSM (jolamb@redhat.com)
- Add facter to the package exclusion list for 2.2 node repos
  (sdodson@redhat.com)
- yum-validator: Handle RHSM server request failures (jolamb@redhat.com)
- yum-validator: Fix crash on non-RHSM systems (jolamb@redhat.com)
- yum-validator: avoid content overrides if possible, bail on fail
  (jolamb@redhat.com)

* Tue Nov 25 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.2.2-1
- Bug 1166729 - Origin Logo seen after upgrade (bleanhar@redhat.com)
- Release bump for OSE 2.2.2

* Fri Nov 14 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.2.1-1
- Version bump for 2.2.1

* Thu Nov 13 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.2.0.7-1
- Bug 1163500 - Remove explicit dependency on RHEL 6.6's subscription-manager
  package (bleanhar@redhat.com)

* Wed Nov 12 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.2.0.6-1
- Bug 1163500 - Remove explicit dependency on RHEL 6.6's subscription-manager
  package (bleanhar@redhat.com)

* Wed Nov 12 2014 Luke Meyer <lmeyer@redhat.com> 2.2.0.5-1
- Updated README, man page and cleaned up some comments & doctext
  (jolamb@redhat.com)
- yum-validator: use sub-man to set repo options (jolamb@redhat.com)

* Wed Oct 29 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.2.0.4-1
- Bug 1158356 - ose-upgrade can not detect such situation when both RHN and
  RHSM are enabled on this host when upgrade from ose-2.1 to ose-2.2
  (bleanhar@redhat.com)

* Wed Oct 29 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.2.0.3-1
- Bug 1154471 - OSE install failed due to wrong incompatible
  rsyslog7-7.4.10-3.el6_6.x86_64 installation (bleanhar@redhat.com)

* Tue Oct 28 2014 dobbymoodge <jolamb@redhat.com> 2.2.0.2-1
- Merge pull request #144 from dobbymoodge/BZ1157409-2.2 (jolamb@redhat.com)
- yum-validator: fix exception on rhn repoids (jolamb@redhat.com)

* Tue Oct 28 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.2.0.1-1
- Bug 1154471 - OSE install failed due to wrong incompatible
  rsyslog7-7.4.10-3.el6_6.x86_64 installation (bleanhar@redhat.com)

* Mon Oct 27 2014 Jason DeTiberus <jdetiber@redhat.com> 2.2.0-2
- Bug 1157411 - "ose-upgrade begin" failed with RHN during 2.1 -> 2.2 upgrade
  (bleanhar@redhat.com)
- Bug 1154471 - OSE install failed due to wrong incompatible
  rsyslog7-7.4.10-3.el6_6.x86_64 installation (bleanhar@redhat.com)
- yum-validator: make RHSM detection more successful (jolamb@redhat.com)
- yum-validator: remove warning about node-eap (lmeyer@redhat.com)
- yum-validator: remove node-eap63 role (lmeyer@redhat.com)
- Bug 1155567 - 12-broker-confirm-nodes can not detect if node has not been
  upgraded. (bleanhar@redhat.com)
- Bug 1154026 - syntax error in /usr/lib/ruby/site_ruby/1.8/ose-
  upgrade/node/upgrades/4/maintenance_mode/02-poodle-disable-SSLv3
  (bleanhar@redhat.com)
- Bug 1155041 - 12-broker-confirm-nodes always return success even when
  mcollective is stopped on node (bleanhar@redhat.com)
- Bug 1154623 - Revert "<ose-upgrade> Update rhsm detection logic"
  (bleanhar@redhat.com)
- yum-validator: introduce fuse/amq channels+roles (lmeyer@redhat.com)
- yum-validator: add node-eap63 role (lmeyer@redhat.com)
- upgrade: disable SSLv3 for POODLE (lmeyer@redhat.com)
- upgrade: frontend migration httpd conf (lmeyer@redhat.com)
- upgrade: cart import-node -> import-profile (lmeyer@redhat.com)
- upgrade: bring more sanity to upgrade state (lmeyer@redhat.com)
- upgrade: enable option to migrate frontend to vhost (lmeyer@redhat.com)
- node upgrade: improve test_gears_complete msg (lmeyer@redhat.com)
- ose-upgrade: gentler attempt to remove unused pkg (lmeyer@redhat.com)
- ose-upgrade: update available OSE yum repos (lmeyer@redhat.com)
- ose-upgrade: fix syntax error (lmeyer@redhat.com)
- ose-upgrade: display script output while running (lmeyer@redhat.com)
- node ose-upgrade: remove unimplemented "outage" step (lmeyer@redhat.com)
- Adding a comment about the mongodb-24 connection hook migration
  (bleanhar@redhat.com)
- Enable online upgrades (broker/console in maintenance mode)
  (bleanhar@redhat.com)
- misc 2.2 upgrade fixes (bleanhar@redhat.com)
- Bug 1114670 - /etc/openshift-enterprise-release does not get updated and
  halts upgrade process (bleanhar@redhat.com)
- Make sure the latest eap cartridge is installed before trying to remove the
  jboss-eap6-index package (bleanhar@redhat.com)
- First pass at the broker/node upgrade scripts. (bleanhar@redhat.com)
- Adding the sprint 43 data migration (bleanhar@redhat.com)
- Ensuring all districts have the platform attribute (bleanhar@redhat.com)
- openshift-enterprise-upgrade spec file changes for 2.2 (bleanhar@redhat.com)
- Initial support for upgrading to OSE 2.2 (only switches to 2.2 content)
  (bleanhar@redhat.com)

* Tue Jul 15 2014 Jason DeTiberus <jdetiber@redhat.com> 2.1.4-2
- ose-upgrade: fix inaccurate error message (jolamb@redhat.com)

* Wed Jul 09 2014 Jason DeTiberus <jdetiber@redhat.com> 2.1.4-1
- <ose-upgrade> refactor rhn channel config setup (jdetiber@redhat.com)
- Just adding some more ose-upgrade docs (bleanhar@redhat.com)

* Wed Jun 25 2014 Jason DeTiberus <jdetiber@redhat.com> 2.1.3-1
- oo-admin-yum-validator: Fix string in guess_ose (miciah.masters@gmail.com)

* Thu Jun 12 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.1.2-2
- beta2.ini was no longer needed (bleanhar@redhat.com)

* Thu Jun 12 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.1.2-1
- Bug 1097844 - oo-admin-yum-validator doesn't detect OSE version 2.1 under RHN
  (jolamb@redhat.com)

* Fri May 30 2014 dobbymoodge <jolamb@redhat.com> 2.1.1-1
- ose-upgrade: Fix mcollective client.cfg permissions (jolamb@redhat.com)

* Mon Apr 21 2014 Brenton Leanhardt <bleanhar@redhat.com> 2.1.0-1
- bug 1085489 - mod-rewrite frontend: allow custom vhost to unidle
  (bleanhar@redhat.com)
- bug 1085489 - Restorer.pm (bleanhar@redhat.com)
- Revert "Bug 1057538 - Districts are required by default"
  (bleanhar@redhat.com)
- Bug 1057538 - Districts are required by default (bleanhar@redhat.com)
- Removing hardcoded steps (bleanhar@redhat.com)
- Bug 1085343 - fixing typo (bleanhar@redhat.com)
- Bug 1086402 - fix mcollective client.cfg permissions (bleanhar@redhat.com)
- Bug 1085365 - new deployment could not be recorded after 2.0->2.1 upgrade.
  (bleanhar@redhat.com)
- Bug 1085376 - token does NOT work after 2.0->2.1 upgrade
  (bleanhar@redhat.com)
- Bug 1078819 - Fail to run jenkins build after 2.0->2.1 upgrade.
  (bleanhar@redhat.com)
- upgrade frontend: regenerate vhosts (lmeyer@redhat.com)
- Bug 1084048 - cartridges need to be imported before the postrelease script
  can run (bleanhar@redhat.com)
- Adding missing sprint 37 migration method and fix for sprint 39
  (bleanhar@redhat.com)
- Bug 1081177 - Lots of ' activemq.rb:274:in `connection_headers' in standard
  output (bleanhar@redhat.com)
- Bug 1050449 - Make the Red Hat Support Tool a prerequisite of openshift-
  enterprise-release (bleanhar@redhat.com)
- Making a regex more flexible WRT whitespace (bleanhar@redhat.com)
- Bug 1079365 - Upgrade to MCollective 2.4 (bleanhar@redhat.com)
- Bug 1076525 - typo fix for mcollective console logging (bleanhar@redhat.com)
- Regenerating the vhost frontends (bleanhar@redhat.com)
- Bug 1076498 - oo-admin-yum-validator support for 2.0->2.1 upgrade
  (bleanhar@redhat.com)
- Bug 1076525 - Fix mcollective-client.log permissions (bleanhar@redhat.com)
- Bug 1076449 - enable watchman (and fix some port proxy handling)
  (bleanhar@redhat.com)
- datastore upgrades for sprint 39, 40 and 41 (bleanhar@redhat.com)
- Bug 1076125 - Update passenger settings to match recommendations from Online
  (bleanhar@redhat.com)
- Bug 1075773 - Installing the recommended metapackages (bleanhar@redhat.com)
- Setting the version number correctly for new 2.1 installs
  (bleanhar@redhat.com)
- Fixing 12-broker-confirm-nodes' expected version (bleanhar@redhat.com)
- Fixing typo (bleanhar@redhat.com)
- importing the cartridges to mongo can only be done once everything is back up
  (bleanhar@redhat.com)
- all the rest of the steps (bleanhar@redhat.com)
- maintenance_mode (bleanhar@redhat.com)
- First pass at outage, rpm and conf (bleanhar@redhat.com)
- bumping version (bleanhar@redhat.com)
- first pass at ose-upgrade-migrate-datastore (bleanhar@redhat.com)
- Adding support for upgrading to OSE 2.1 (bleanhar@redhat.com)
- <upgrade> Fix version macro reference in spec file (jdetiber@redhat.com)

* Mon Apr 21 2014 Brenton Leanhardt <bleanhar@redhat.com>
- bug 1085489 - mod-rewrite frontend: allow custom vhost to unidle
  (bleanhar@redhat.com)
- bug 1085489 - Restorer.pm (bleanhar@redhat.com)
- Revert "Bug 1057538 - Districts are required by default"
  (bleanhar@redhat.com)
- Bug 1057538 - Districts are required by default (bleanhar@redhat.com)
- Removing hardcoded steps (bleanhar@redhat.com)
- Bug 1085343 - fixing typo (bleanhar@redhat.com)
- Bug 1086402 - fix mcollective client.cfg permissions (bleanhar@redhat.com)
- Bug 1085365 - new deployment could not be recorded after 2.0->2.1 upgrade.
  (bleanhar@redhat.com)
- Bug 1085376 - token does NOT work after 2.0->2.1 upgrade
  (bleanhar@redhat.com)
- Bug 1078819 - Fail to run jenkins build after 2.0->2.1 upgrade.
  (bleanhar@redhat.com)
- upgrade frontend: regenerate vhosts (lmeyer@redhat.com)
- Bug 1084048 - cartridges need to be imported before the postrelease script
  can run (bleanhar@redhat.com)
- Adding missing sprint 37 migration method and fix for sprint 39
  (bleanhar@redhat.com)
- Bug 1081177 - Lots of ' activemq.rb:274:in `connection_headers' in standard
  output (bleanhar@redhat.com)
- Bug 1050449 - Make the Red Hat Support Tool a prerequisite of openshift-
  enterprise-release (bleanhar@redhat.com)
- Making a regex more flexible WRT whitespace (bleanhar@redhat.com)
- Bug 1079365 - Upgrade to MCollective 2.4 (bleanhar@redhat.com)
- Bug 1076525 - typo fix for mcollective console logging (bleanhar@redhat.com)
- Regenerating the vhost frontends (bleanhar@redhat.com)
- Bug 1076498 - oo-admin-yum-validator support for 2.0->2.1 upgrade
  (bleanhar@redhat.com)
- Bug 1076525 - Fix mcollective-client.log permissions (bleanhar@redhat.com)
- Bug 1076449 - enable watchman (and fix some port proxy handling)
  (bleanhar@redhat.com)
- datastore upgrades for sprint 39, 40 and 41 (bleanhar@redhat.com)
- Bug 1076125 - Update passenger settings to match recommendations from Online
  (bleanhar@redhat.com)
- Bug 1075773 - Installing the recommended metapackages (bleanhar@redhat.com)
- Setting the version number correctly for new 2.1 installs
  (bleanhar@redhat.com)
- Fixing 12-broker-confirm-nodes' expected version (bleanhar@redhat.com)
- Fixing typo (bleanhar@redhat.com)
- importing the cartridges to mongo can only be done once everything is back up
  (bleanhar@redhat.com)
- all the rest of the steps (bleanhar@redhat.com)
- maintenance_mode (bleanhar@redhat.com)
- First pass at outage, rpm and conf (bleanhar@redhat.com)
- bumping version (bleanhar@redhat.com)
- first pass at ose-upgrade-migrate-datastore (bleanhar@redhat.com)
- Adding support for upgrading to OSE 2.1 (bleanhar@redhat.com)
- <upgrade> Fix version macro reference in spec file (jdetiber@redhat.com)

* Tue Jan 07 2014 Luke Meyer <lmeyer@redhat.com> 2.0.1-1
- <ose-upgrade> test_gears_complete bug 1046012 (lmeyer@redhat.com)
- <ose-upgrade> confirm_nodes bugs 1046013, 1046017 (lmeyer@redhat.com)
- <ose-upgrade> detect non-current upgrader (lmeyer@redhat.com)
- <ose-upgrade> wording improvements (lmeyer@redhat.com)
- <ose-upgrade> Update node connection hooks after running gear migrations
  (jdetiber@redhat.com)
- <ose-upgrade> Wait for gear upgrades to complete in
  test_gear_migration_completed instead of returning failure.
  (jdetiber@redhat.com)
- <ose-upgrade> Update confirm_nodes to verify upgrade version on nodes
  (jdetiber@redhat.com)
- <ose-upgrade> Move gear_upgrade_extension to rubygem-openshift-origin-node
  (jdetiber@redhat.com)
- <ose-upgrade> Update rhsm detection logic (jdetiber@redhat.com)
- <ose-upgrade> make sure to backup and restore aliases.{db,txt} idler.{db,txt}
  and sts.{db,txt} on node (jdetiber@redhat.com)
- <ose-upgrade> Remove beta flag from oo-admin-yum-validator
  (jdetiber@redhat.com)
- <ose-upgrade> Remove custom ose-upgrade-gears script, use oo-admin-upgrade
  instead (jdetiber@redhat.com)
- <ose-upgrade> Fix ruby-1.8 migrations (jdetiber@redhat.com)
- <ose-upgrade> fix typo (jdetiber@redhat.com)
- <ose-upgrade> Add node step to block on gear upgrades (jdetiber@redhat.com)
- <ose-upgrade> Do not start openshift-tc service during end_maintenance_mode
  step (jdetiber@redhat.com)
- <ose-upgrade> More 2.0 upgrade fixes (jdetiber@redhat.com)
- <ose-upgrade> Upgrade fixes (jdetiber@redhat.com)
- <ose-upgrade> resurrect host version 2 upgrade (jdetiber@redhat.com)

* Wed Nov 27 2013 Jason DeTiberus <jdetiber@redhat.com> 2.0.0c-1
- Temporarily remove host v2 upgrade for GA release
- add man page (lmeyer@redhat.com)

* Fri Nov 22 2013 Brenton Leanhardt <bleanhar@redhat.com> 2.0.0b-1
- check-sources -> yum-validator (bleanhar@redhat.com)

* Fri Nov 22 2013 Brenton Leanhardt <bleanhar@redhat.com> 2.0.0a-1
- Adding the oo-admin-yum-validator manpage from upstream (bleanhar@redhat.com)
- <ose-upgrade> 2.0 upgrade fixes (jdetiber@redhat.com)
- ose-upgrade for RHOSE 2.0 (miciah.masters@gmail.com)

* Mon Nov 18 2013 Luke Meyer <lmeyer@redhat.com> 2.0.0-1
- <o-e-upgrade> update version/release (lmeyer@redhat.com)
- <o-e-upgrade> spec file adjustments (lmeyer@redhat.com)
- <ose-upgrade> does not require rubygems (lmeyer@redhat.com)
- <ose-upgrade> give version number for upgrade 2 (lmeyer@redhat.com)
- <yum-validator> sync to ed3e5605 from openshift-extras (lmeyer@redhat.com)

* Thu Nov 14 2013 Luke Meyer <lmeyer@redhat.com> 2.0-0.beta.2
- <o-e-upgrade> add yum-validator subpackage (lmeyer@redhat.com)

* Wed Jul 24 2013 Brenton Leanhardt <bleanhar@redhat.com> 1.2.1-2
- Bug 988069 - 1.2 upgrade fails when using mongo replica set
  (bleanhar@redhat.com)

* Tue Jul 16 2013 Brenton Leanhardt <bleanhar@redhat.com> 1.2.1-1
- Merge remote-tracking branch 'origin/enterprise-1.2' into enterprise-1.2.z
  (bleanhar@redhat.com)
- Bug 980913 - openshift-enterprise-release does not correctly require ruby and
  rubygems (bleanhar@redhat.com)

* Mon Jul 08 2013 Brenton Leanhardt <bleanhar@redhat.com> 1.2.0-1
- <1.2 upgrade> fix EWS channel name (lmeyer@redhat.com)

* Mon Jul 08 2013 Brenton Leanhardt <bleanhar@redhat.com> 1.2-2
- <1.2 Upgrade> - Fixups for awk-fu (jdetiber@redhat.com)
- <1.2 Upgrade> Fix for setting priorities/excludes on RHN channels
  (jdetiber@redhat.com)

* Wed Jun 26 2013 Jason DeTiberus <jdetiber@redhat.com> 1.3-1
- <migration.rb> Fix malformed error message in self.migrate
  (jolamb@redhat.com)

* Tue Jun 25 2013 Luke Meyer <lmeyer@redhat.com> 1.2-1
- Official release for 1.2

* Tue May 28 2013 Luke Meyer <lmeyer@redhat.com> 1.0.0-1
- new package built with tito


